Provides a list of rewards and vouchers available for purchase closure

Method returns all rewards and vouchers available for a specific client application (e-commerce, POS, etc.).
The response includes reward definitions and customer-specific vouchers that are valid at the time of the request. For each item, a parameter defines the maximum usage per purchase.
If the value of this parameter is zero, the item cannot be applied.

Each item in the response can represent one of two types:

  • Reward definition - a catalog-level reward identified by an alphanumeric code (for example, PTV12).
  • Voucher - a reward issued to a specific customer, identified by a numeric code generated by CareCloud or a custom code syntax defined by the client.

Rewards are always associated with products via bill items.

Body Params
string
required

The store ID identifies the store or business unit that will close the purchase for the customer.
The list of all stores is available at the endpoint GET /stores

integer
required

Number of the cash desk in the store. Used to identify a specific cash desk when multiple are available.

string

The customer card number.

string

ID of the customer who is closing the purchase. You can search for customers by various parameters in the GET /customers endpoint.

string
enum
required

Specifies the type of rewards to be listed in the response.
Possible values:

  • F (full) - All manual rewards that are valid in the defined store
  • C (condensed) - Returns manual rewards that are related to the items from provided purchase. If application is not possible, the reward is not returned.
  • A (all) - List of all available rewards on the project (including automatic rewards). Extended information about rewards is available at the endpoint GET /rewards
Allowed:
bill
object
required

Structure of bill from POS.

Headers
string
Defaults to cs, en-gb;q=0.8

The unique ID of the language code by ISO 639-1.

Responses

429

Too many requests - more than the resource limit.

503

Temporary state when the service is temporarily unavailable, overloaded or there is a maintenance window.

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json